# WOK
TKWOK
WOKStep

# WOKStep_Link Class Reference

Provides services for link Purposes
.

`#include <WOKStep_Link.hxx>`

Inheritance diagram for WOKStep_Link:

[legend]

## Public Member Functions

Standard_EXPORT WOKMake_Status | ExecuteLink (Handle(WOKMake_HSequenceOfOutputFile)&output)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_Link (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&item)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction
virtual Standard_EXPORT void | CompleteExecList (const Handle(WOKMake_HSequenceOfInputFile)&anexeclist)
virtual Standard_EXPORT Handle_WOKBuilder_Linker | ComputeTool ()
virtual Standard_EXPORT Handle_WOKBuilder_Entity | ComputeTarget ()
virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile | ComputeObjectList (const Handle(WOKMake_HSequenceOfInputFile)&input)
virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary | ComputeLibraryList (const Handle(WOKMake_HSequenceOfInputFile)&input)
virtual Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | ComputeLibrarySearchList (const Handle(WOKMake_HSequenceOfInputFile)&input)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | ComputeDatabaseDirectories () const

## Protected Attributes

Handle_WOKBuilder_Linker | mylinker
Handle_TCollection_HAsciiString | mytarget
Handle_WOKBuilder_HSequenceOfObjectFile | myobjects
Handle_WOKUtils_HSequenceOfPath | mylibpathes
Handle_WOKUtils_HSequenceOfPath | mydbdirs
Handle_WOKBuilder_HSequenceOfLibrary | mylibraries
Handle_TColStd_HSequenceOfHAsciiString | myexternals

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_Link::WOKStep_Link | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_Link::AdmFileType | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step.

virtual Standard_EXPORT void WOKStep_Link::CompleteExecList | ( | const Handle(WOKMake_HSequenceOfInputFile)& | anexeclist | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKStep_Link::ComputeDatabaseDirectories | ( |  | ) | const`[protected]`

virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary WOKStep_Link::ComputeLibraryList | ( | const Handle(WOKMake_HSequenceOfInputFile)& | input | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKStep_Link::ComputeLibrarySearchList | ( | const Handle(WOKMake_HSequenceOfInputFile)& | input | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile WOKStep_Link::ComputeObjectList | ( | const Handle(WOKMake_HSequenceOfInputFile)& | input | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_WOKBuilder_Entity WOKStep_Link::ComputeTarget | ( |  | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_WOKBuilder_Linker WOKStep_Link::ComputeTool | ( |  | ) | `[protected, virtual]`

Standard_EXPORT WOKMake_Status WOKStep_Link::ExecuteLink | ( | Handle(WOKMake_HSequenceOfOutputFile)& | output | ) |

Standard_EXPORT const WOKStep_Link::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step. Reimplemented in WOKStep_ExecLink, and WOKStep_LibLink.

virtual Standard_EXPORT Standard_Boolean WOKStep_Link::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | item | ) | `[protected, virtual]`

| Implements WOKMake_Step.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_Link::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step.

## Field Documentation

Handle_WOKUtils_HSequenceOfPath WOKStep_Link::mydbdirs `[protected]`

Handle_TColStd_HSequenceOfHAsciiString WOKStep_Link::myexternals `[protected]`

Handle_WOKUtils_HSequenceOfPath WOKStep_Link::mylibpathes `[protected]`

Handle_WOKBuilder_HSequenceOfLibrary WOKStep_Link::mylibraries `[protected]`

Handle_WOKBuilder_Linker WOKStep_Link::mylinker `[protected]`

Handle_WOKBuilder_HSequenceOfObjectFile WOKStep_Link::myobjects `[protected]`

Handle_TCollection_HAsciiString WOKStep_Link::mytarget `[protected]`

The documentation for this class was generated from the following file:

- WOKStep_Link.hxx